#include "TriggerableWorldObjectComponent.h"
#include "UObject/NoExportTypes.h"
#include "Engine/HitResult.h"

class UPrimitiveComponent;
class ACharacter;
class AActor;

void UTriggerableWorldObjectComponent::SetGuaranteedTriggerVolume(UPrimitiveComponent* volume)
{

}

void UTriggerableWorldObjectComponent::SetConditionalTriggerVolume(UPrimitiveComponent* volume)
{

}

void UTriggerableWorldObjectComponent::OnLevelReadyToPlay()
{

}

void UTriggerableWorldObjectComponent::Multicast_OnTriggerReset_Implementation()
{

}

void UTriggerableWorldObjectComponent::Multicast_OnTriggered_Implementation(ACharacter* instigator, FVector triggerLocation)
{

}

void UTriggerableWorldObjectComponent::Authority_GuaranteedVolumeOverlap(UPrimitiveComponent* OverlappedComponent, AActor* other, UPrimitiveComponent* OtherComp, int32 OtherBodyIndex, bool bFromSweep, const FHitResult& HitResult)
{

}

void UTriggerableWorldObjectComponent::Authority_ConditionalVolumeEndOverlap(UPrimitiveComponent* OverlappedComponent, AActor* other, UPrimitiveComponent* OtherComp, int32 OtherBodyIndex)
{

}

void UTriggerableWorldObjectComponent::Authority_ConditionalVolumeBeginOverlap(UPrimitiveComponent* OverlappedComponent, AActor* other, UPrimitiveComponent* OtherComp, int32 OtherBodyIndex, bool bFromSweep, const FHitResult& HitResult)
{

}

UTriggerableWorldObjectComponent::UTriggerableWorldObjectComponent()
{

}
